petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryGetMPIIOOffset

Gets the current offset that should be passed to MPI_File_set_view()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetMPIIOOffset(PetscViewer viewer,MPI_Offset *off)

Not Collective Many br

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen() Many br

### Output Parameter

off -the current offset Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

Use PetscViewerBinaryAddMPIIOOffset() to increase this value after you have written a view. Many br

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages